#
# spec file for package lxde-common
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           lxde-common
Version:        0.99.2
Release:        lp156.3.2
Summary:        This package provides a set of default configurations for LXDE
License:        GPL-2.0
Group:          System/GUI/LXDE
Url:            http://www.lxde.org/
Source0:        %{name}-%{version}.tar.xz
Source1:        lxde-new-wallpapers.tar.bz2
BuildRequires:  docbook-utils
BuildRequires:  docbook-xsl-stylesheets
BuildRequires:  fdupes
BuildRequires:  intltool
BuildRequires:  libxslt
BuildRequires:  update-desktop-files
Requires:       lxde-common-branding
Provides:       lxde-settings-daemon >= %{version}
Obsoletes:      lxde-settings-daemon < %{version}
Requires(post): update-alternatives
Requires(postun): update-alternatives
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
Recommends:     gtk2-engines

%description
Lxde-common package provides a set of default configurations for LXDE.
It's an LXDE core package, since without it LXDE cannot run.

%package 		branding-upstream
Summary:        Upstream branding
Group:          System/GUI/LXDE
Supplements:    packageand(lxde-common:branding-upstream)
Provides:       lxde-common-branding = %{version}
Conflicts:      otherproviders(lxde-common-branding)

%description branding-upstream
This branding-style package sets default applications in LXDE in openSUSE.
This is a dumb package, which provides only upstream LXDE configurations as preferred defaults.
You most probably don't want this package. You probably want to install distribution default
lxde-common-branding and prefer openSUSE default settings.

%prep
%setup -q

%build
%configure --enable-man
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install %{?_smp_mflags}
mkdir -p %{buildroot}%{_datadir}/applications
install -c -m 644 lxde-logout.desktop %{buildroot}/%{_datadir}/applications/lxde-logout.desktop
mv %{buildroot}/%{_datadir}/xsessions/{LXDE,lxde}.desktop
%suse_update_desktop_file %{buildroot}/%{_datadir}/applications/lxde-logout.desktop
%suse_update_desktop_file %{buildroot}/%{_datadir}/applications/lxde-screenlock.desktop
%suse_update_desktop_file %{buildroot}/%{_datadir}/xsessions/lxde.desktop
cd %{buildroot}/%{_datadir}/lxde/wallpapers
tar xjf %{SOURCE1}
mv %{buildroot}/%{_datadir}/lxde/wallpapers/lxde-new-wallpapers/* %{buildroot}/%{_datadir}/lxde/wallpapers/
rm -rf %{buildroot}/%{_datadir}/lxde/wallpapers/lxde-new-wallpapers

mkdir -p %{buildroot}%{_sysconfdir}/alternatives
touch %{buildroot}%{_sysconfdir}/alternatives/default-xsession.desktop
ln -s %{_sysconfdir}/alternatives/default-xsession.desktop %{buildroot}%{_datadir}/xsessions/default.desktop

%fdupes -s %{buildroot}

%post
%desktop_database_post
%{_sbindir}/update-alternatives --install %{_datadir}/xsessions/default.desktop \
  default-xsession.desktop %{_datadir}/xsessions/lxde.desktop 20

%postun
%desktop_database_postun
[ -f %{_datadir}/xsessions/lxde.desktop ] || %{_sbindir}/update-alternatives \
  --remove default-xsession.desktop %{_datadir}/xsessions/lxde.desktop

%files
%defattr(-,root,root)
%{_bindir}/openbox-lxde
%{_bindir}/startlxde
%dir %{_datadir}/lxde
%dir %{_datadir}/lxde/wallpapers
%{_datadir}/lxde/wallpapers/*
%{_mandir}/man1/*
%ghost %{_sysconfdir}/alternatives/default-xsession.desktop
%{_datadir}/xsessions/*.desktop
%{_datadir}/applications/lxde-logout.desktop
%{_datadir}/applications/lxde-screenlock.desktop

%files branding-upstream
%defattr(-,root,root)
%{_bindir}/lxde-logout
%dir %{_datadir}/lxde/images
%{_datadir}/lxde/images/logout-banner.png
%{_datadir}/lxde/images/lxde-icon.png
%dir %{_sysconfdir}/xdg/lxsession
%dir %{_sysconfdir}/xdg/lxsession/LXDE
%dir %{_sysconfdir}/xdg/pcmanfm
%dir %{_sysconfdir}/xdg/pcmanfm/LXDE
%config %{_sysconfdir}/xdg/lxsession/LXDE/autostart
%config %{_sysconfdir}/xdg/lxsession/LXDE/desktop.conf
%config %{_sysconfdir}/xdg/pcmanfm/LXDE/pcmanfm.conf
%dir %{_sysconfdir}/xdg/lxpanel
%dir %{_sysconfdir}/xdg/lxpanel/LXDE
%dir %{_sysconfdir}/xdg/lxpanel/LXDE/panels
%dir %{_sysconfdir}/xdg/openbox
%dir %{_sysconfdir}/xdg/openbox/LXDE
%config %{_sysconfdir}/xdg/lxpanel/LXDE/config
%config %{_sysconfdir}/xdg/lxpanel/LXDE/panels/panel
%config %{_sysconfdir}/xdg/openbox/LXDE/menu.xml
%config %{_sysconfdir}/xdg/openbox/LXDE/rc.xml

%changelog
* Mon Jun 19 2017 fvogt@suse.com
- Use update-alternatives to create default.desktop xsession (boo#1030873)
* Sun Dec 25 2016 trcs@gmx.com
- New upstream version 0.99.2
  * Replaced 'stretch' wallpaper_mode setting with 'crop' in
    pcmanfm.conf
  * Updated view_mode and sort settings in pcmanfm.conf with new
    values
  * Made dbus-launch start only if $XDG_RUNTIME_DIR/bus isn't
    available
  * Updated lxpanel configuration files to match latest version
  * Added volume plugin to default panel, near everyone uses audio
    nowadays
  * Removed netstat plugin from default panel, it's usually
    superseded with either NM or wicd
  * Updated startlxde.1 man page
  * Ensured the existance of the user applications folder by
    startlxde
  Changes on 0.99.2 since 0.99.1:
  * Added TryExec=lxsession-logout into lxde-logout.desktop
  * Added W+f keybinding for pcmanfm --find-files
* Thu Sep  4 2014 trcs@gmx.com
- New upstream version 0.99.0
  * Changes since previous release 0.5.6
    + Fixed missing install of lxde-logout.desktop file
    + Removed inappropriate text about lxde-settings from README
    + Fixed sort_by in the pcmanfm.conf, it should be 2, not 0
    + Added exporting XDG_CURRENT_DESKTOP in startlxde script
    + Disabled copying pcmanfm config file. The recent pcmanfm
    releases support profile selection on its own, so this code
    is no longer needed
    + Fixed lxpanel profile location
    + Added launching LXRandR when Fn+Screen (XF86Display key) is
    pressed
    + Correctly implemented translations for *.desktop files using
    intltool, now those can be properly translated
    + Added lxde-screenlock.desktop file to call lxlock (taken
    from Debian, with translations too)
    + Few new translations added, some were updated
    + Removed obsolete key Encoding from *.desktop files
  * changes since previous release 0.5.5
    + The "Fullscreen" keybinding in Openbox rc.xml file changed
    from F11 to Alt+F11, Many applications already have this
    keybinding bound to own processing so let not interfere with
    them
    + Installation: added fix for invalid $sysconfdir in configure
    in case of $prefix is /usr
    + Fixed incorrect path to pcmanfm.conf file in startlxde
    script
    + Changed location of all configuration files placement from
    somewhere in system shared data directory to location under
    system config data directory
    + Added keybinding for 'lxpanelctl menu' on Alt+F1, the same
    as it is in GNOME and Lubuntu
    + Added keybinding to launch gnome-screenshot when PrintScreen
    is pressed
    + Installation: updated autogen.sh to support automake > 1.11
    + Changed default distribution tarball format to xz instead of
    gzip
- removed lxde-common-0.5.5-fix-default-pcmanfm.patch
  * fixed upstream
- disabled lxde-common-0.5.0-lxde.desktop.patch
  * renamed the file directly to avoid failed build caused by
    autoreconf
- removed lxde-lock-screen.desktop
  * it is now provided by upstream
- spec file cleanup
* Wed Dec 19 2012 andrea@opensuse.org
- fixed build failures for suse <= 12.1
* Wed Jun  6 2012 pgajdos@suse.com
- fixed build (mv LXDE.desktop lxde.desktop)
* Thu Sep 22 2011 andrea.turrini@opensuse.org
- fixed typos in lxde-common.spec
* Sat Jul 30 2011 andrea@opensuse.org
- added lxde-common-0.5.5-fix-default-pcmanfm.patch to fix
  import of default pcmanfm config file now in a different folder
* Sat Jul 30 2011 andrea@opensuse.org
- New upstream version 0.5.5
  * full support to pcmanfm2
  * bugfixes
  * full support to LXDE "profiles"
- removed lxde-common-0.5.0-pcmanfm2.patch and
  lxde-common-startlxde.diff now into upstream code
* Wed Jul 27 2011 andrea@opensuse.org
- fixed bug bnc#698167
* Thu Jul 21 2011 andrea@opensuse.org
- fixed branding package dependency
* Sun Jul 10 2011 andrea@opensuse.org
- removed useless pkgconfig and gtk2-devel buildrequires
- added URL tag
- fixed license tag
* Wed Mar 23 2011 andrea@opensuse.org
- added gtk2-engines on suse 11.4 to fix ugly appereance
* Mon Mar 14 2011 gber@opensuse.org
- call %%desktop_database_post/un
* Wed Feb  2 2011 gber@opensuse.org
- rename session file from LXDE.desktop to lxde.desktop
* Sun Nov 21 2010 andrea@opensuse.org
- Improved startlxde script to fix black background of first login
* Wed Nov  3 2010 andrea@opensuse.org
- Fixed startlxde script to copy pcmanfm.conf in the proper
  location bnc#651089
* Mon Jun  7 2010 andrea@opensuse.org
- changed RPM Group to System/GUI/LXDE
* Tue May 18 2010 andrea@opensuse.org
- Sync pcmanfm.conf with new one from pcmanfm 0.9.5
* Fri Mar 26 2010 andrea@opensuse.org
- modified lxde-common-startlxde.diff patch to fix bnc#591407
* Mon Mar  1 2010 andrea@opensuse.org
- added lxde-common-0.5.0-pcmanfm2.patch to switch to pcmanfm2
* Tue Feb  9 2010 andrea@opensuse.org
- lxsession export dbus information now, gnome-keyring now work
  out of the box. Fixed bnc#564703
* Thu Dec 24 2009 andrea@opensuse.org
- spec file cleanup
* Wed Dec 23 2009 andrea@opensuse.org
- added workaround to bnc#564703
* Fri Dec 11 2009 andrea@opensuse.org
- new upstream version 0.5.0
* Sun Oct 25 2009 andrea@opensuse.org
- improved startlxde.diff to respect XDG system variables
  based also on LOCALE settings
* Fri Jul 17 2009 andrea@opensuse.org
- upgrade to svn 1835, lxde-settings-daemon now obsoletes
- created branding upstream package
* Wed Jul  8 2009 andrea@opensuse.org
- New upstream version 0.4.2
* Sat May 30 2009 andrea@opensuse.org
- added pcmanfm default settings
- added workaround for lxpanel x86_64 issue
* Sat May 23 2009 andrea@opensuse.org
- new package
